Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pearsoneduc.ip.op
Class ButterworthLowPassOp

    java.lang.Object
      |
      +--com.pearsoneduc.ip.op.StandardGreyOp
            |
            +--com.pearsoneduc.ip.op.ButterworthLowPassOp

public class ButterworthLowPassOp
extends StandardGreyOp

Performs Butterworth low pass filtering of a BufferedImage.

Version:
  1.1 [1999/08/10]
Author:
  Nick Efford

Field Summary
`protected int` | `order` Order of filter.
`protected double` | `radius` Radius of filter.

Constructor Summary
`ButterworthLowPassOp(double r)` Constructs a ButterworthLowPassOp with the specified filter radius.
`ButterworthLowPassOp(int n, double r)` Constructs a ButterworthLowPassOp with the specified order and filter radius.

Method Summary
`java.awt.image.BufferedImage` | `filter(java.awt.image.BufferedImage src, java.awt.image.BufferedImage dest)` Performs Butterworth low pass filtering on an image.
`int` | `getOrder()`
`double` | `getRadius()`

Methods inherited from class com.pearsoneduc.ip.op.StandardGreyOp
`checkImage, createCompatibleDestImage, getBounds2D, getPoint2D, getRenderingHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### order

    protected int order

  Order of filter.

### radius

    protected double radius

  Radius of filter.

Constructor Detail

### ButterworthLowPassOp

    public ButterworthLowPassOp(double r)

  Constructs a ButterworthLowPassOp with the specified filter radius. The filter will have an order of 1.
  Parameters:
    `r` - radius of filter

### ButterworthLowPassOp

    public ButterworthLowPassOp(int n,
                                double r)

  Constructs a ButterworthLowPassOp with the specified order and filter radius.
  Parameters:
    `n` - order of filter
    `r` - radius of filter

Method Detail

### getOrder

    public int getOrder()

  Returns:
    order of filter.

### getRadius

    public double getRadius()

  Returns:
    radius of filter.

### filter

    public java.awt.image.BufferedImage filter(java.awt.image.BufferedImage src,
                                               java.awt.image.BufferedImage dest)

  Performs Butterworth low pass filtering on an image.
  Parameters:
    `src` - source image
    `dest` - destination image, or null
  Returns:
    processed image.
  Overrides:
    filter in class StandardGreyOp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD